package com.artfess.yhxt.check.regular.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.yhxt.check.regular.model.SideSlopeRegularCheck;
import com.artfess.base.manager.BaseManager;
import com.artfess.yhxt.check.regular.vo.SideSlopeRegularCheckVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * 边坡定期检查表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author xzh
 * @since 2021-08-17
 */
public interface SideSlopeRegularCheckManager extends BaseManager<SideSlopeRegularCheck> {

    PageList<SideSlopeRegularCheck> querySideSlopeRegularCheck(QueryFilter<SideSlopeRegularCheck> queryFilter);

    void saveSideSlopeRegularCheck(SideSlopeRegularCheckVo vo);

    void updateSideSlopeRegularCheck(SideSlopeRegularCheckVo vo);

    SideSlopeRegularCheckVo getSideSlopeRegularCheckById(String id);

    void importExcelData(MultipartFile file, SideSlopeRegularCheck parseObject);
}
